View Issue Details

IDProjectCategoryView StatusLast Update
0002154SOGoBackend Generalpublic2013-01-09 12:44
Reporterbuzzdee Assigned To 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version2.0.3a 
Target Version2.0.4Fixed in Version2.0.4 
Summary0002154: NSArray operatioins are not corretly overridden in sope-gdl1/GDLAccess/EOArrayProxy.m
Description

trying to update a contact in OGo, throws an exception and gives a warning, when on 64Bit and using libobjc2.
Haven't seen a problem yet with SOGo so only seems to affect OGo

Additional Information

Could this attached patch be added to the next SOPE 2.0.4 release.

TagsNo tags attached.

Activities

2012-12-31 10:39

 

patch-sope-gdl1_GDLAccess_EOArrayProxy_m (920 bytes)   
$OpenBSD$

Correctly override methods in subclass to make libobjc2 find them correctly
on 64Bit systems.

--- sope-gdl1/GDLAccess/EOArrayProxy.m.orig	Mon Dec 31 15:04:53 2012
+++ sope-gdl1/GDLAccess/EOArrayProxy.m	Mon Dec 31 15:05:48 2012
@@ -164,11 +164,11 @@ void _checkFetch(EOArrayProxy *self) {
 
 // NSArray operations
 
-- (id)objectAtIndex:(unsigned int)_index {
+- (id)objectAtIndex:(NSUInteger)_index {
   _checkFetch(self);
   return [self->content objectAtIndex:_index];
 }
-- (unsigned int)count {
+- (NSUInteger) count {
   _checkFetch(self);
   return [self->content count];
 }
@@ -176,7 +176,7 @@ void _checkFetch(EOArrayProxy *self) {
   _checkFetch(self);
   return [self->content count] > 0 ? YES : NO;
 }
-- (unsigned int)indexOfObjectIdenticalTo:(id)_object {
+- (NSUInteger)indexOfObjectIdenticalTo:(id)_object {
   _checkFetch(self);
   return [self->content indexOfObjectIdenticalTo:_object];
 }
ludovic

ludovic

2013-01-09 12:44

administrator   ~0005106

https://github.com/inverse-inc/sope/commit/b4062373339a2a675d86d8578c5c2dc2627bbcb0

Issue History

Date Modified Username Field Change
2012-12-31 10:39 buzzdee New Issue
2012-12-31 10:39 buzzdee File Added: patch-sope-gdl1_GDLAccess_EOArrayProxy_m
2013-01-03 10:31 francis Target Version => 2.0.4
2013-01-09 12:44 ludovic Note Added: 0005106
2013-01-09 12:44 ludovic Status new => closed
2013-01-09 12:44 ludovic Resolution open => fixed
2013-01-09 12:44 ludovic Fixed in Version => 2.0.4